# David - 3.0.3-12mdk - You want build unicon against kernel you run, use this
#                       macro
#%{expand:%%define kernel %(/bin/uname -r)}
# David - 3.0.3-12mdk - If you build unicon against a defined kernel, use this
#                       macro (and, of course, adjust kernel version)
%define kernel	2.4.18-7mdk

Summary:		Unicode Console with CJK Input
Name:			unicon
Version:		3.0.3
Release:		12mdk
License:		GPL
Group:			System/Internationalization

Source:			%{name}-%{version}-release.tar.bz2
Source1:		fb_doublebyte.h
Source2:		unikeymod.h
Patch0:			unicon-mdk.patch.bz2
Patch1:			unicon-cce.patch.bz2
Patch2:			unicon-3.0.3-ppc-build.patch.bz2

Buildroot:		%_tmppath/%name-%version-%release-root
BuildRequires:	/lib/modules/%kernel/build/README
BuildRequires:	newt-devel pth-devel XFree86-devel
Requires:		%name-input = %version-%release

%description
UNICON is a CJK (Chinese/Japanese/Korean) Linux console input and display
system. It can support console virtual terminals, GPM mouse, keyboard,
and almost all video devices using the kernel frame buffer. It support
multiple language fonts with a font manager so each virtual console can
display a different font and input method. UNICON also can display IBM table
characters mixed with double byte language encodings.

You should configure /etc/modules.conf to  include PATH tag for fonts modules
such as path[chinese]=/lib/modules/2.4/chinese, see modules.conf manual
for help. The fonts kernel modules also work for kernel2.2 without recompile.


%package -n unicon-devel
Summary:	UNICON ImmModule devel
Group:		Development/Other
Requires:	%name-input = %version-%release

%description -n unicon-devel
UNICON ImmModule devel, for Chinput, etc.


%package -n unicon-input
Summary:	UNICON ImmModule input modules
Group:		System/Libraries

%description -n unicon-input
UNICON ImmModule modules, for Chinput, etc.



%prep



%setup -q
cp -r /lib/modules/%kernel/build/include/linux include/
cp %{SOURCE1} include/linux/
cp %{SOURCE2} include/linux/
%patch0 -p0 -b .mdk
%patch1 -p1 -b .cce
%ifarch ppc
%patch2 -p1
%endif


%build
%configure
%make
%make data



%install
rm -fr %buildroot

make install prefix=%buildroot/%_prefix
make data-install prefix=%buildroot/%_prefix
install -d -m 0755 %buildroot/%_sysconfdir/unicon
install -m 0644 unicon/unicon/unicon.ini %buildroot/%_sysconfdir/unicon

rm -f doc/install.txt

install -d -m 0755 %buildroot/lib/modules/2.4/chinese
install -m 0644 fonts/big5/encode-big5.o %buildroot/lib/modules/2.4/chinese
install -m 0644 fonts/gb/encode-gb.o %buildroot/lib/modules/2.4/chinese
install -m 0644 fonts/gbk/encode-gbk.o %buildroot/lib/modules/2.4/chinese
install -m 0644 fonts/jis/encode-jis.o %buildroot/lib/modules/2.4/chinese
install -m 0644 fonts/kscm/encode-kscm.o %buildroot/lib/modules/2.4/chinese

install -d -m 0755 %buildroot/%_includedir/unicon
cp unicon/include/* %buildroot/%_includedir/unicon



%post
rm -f /dev/unikey
mknod /dev/unikey c 10 202

%postun
rm -f /dev/unikey



%clean
rm -fr %buildroot



%files
%defattr(-,root,root)
%doc doc/*.txt
%_bindir/*
/lib/modules/2.4/chinese
%config %_sysconfdir/unicon/unicon.ini



%files -n unicon-input
%defattr(-,root,root)
%dir %_libdir/%name/
%_libdir/%name/bin
%_libdir/%name/*.tab
%_libdir/%name/*.so
%_libdir/%name/direct.uni
%_libdir/%name/load-unimap.sh
%_libdir/%name/modules



%files -n unicon-devel
%defattr(-,root,root)
%_includedir/unicon
%_libdir/unicon/*.a



%changelog
* Sat Mar 23 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-12mdk
- Allow build
- Spec clean up

* Fri Oct 19 2001 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.3-11mdk
- patch Makefile for PPC build

* Sun Oct 07 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.3-10mdk
- split input modules, for Chinput

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 3.0.3-9mdk
- devel package: Requires: i%%{name} = %%{version}-%%{release}

* Mon Jul 16 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.3-8mdk
- more description, fonts kernel modules work for both 2.2 and 2.4
-  without recompile
- fixes UTS_RELEASE define for kernel-headers-2.4.6-4mdk

* Mon Jul 09 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.3-7mdk
- rebuild fonts modules with MODVERSIONS
- remove BuildRequires: kernel-source

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 3.0.3-6mdk
- BuildRequires:	kernel-source
- BuildRequires:	newt-devel
- BuildRequires:	pth-devel

* Sat Jul 07 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.3-5mdk
- now include CJK fonts kernel modules

* Sat Jun 30 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.3-4mdk
- fixes for cce userphrase
- spilt unicon-devel for Chinput

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 3.0.3-3mdk
- BuildRequires: XFree86-devel

* Wed Jun 06 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-2mdk
- Use %%_tmppath for BuildRoot
- Use macros
- Bzip2 sources

* Sat Jun 02 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.3-1mdk
* upgrade to 3.0.3

* Sat May 26 2001 Jesse Kuang <kjx@mandrakesoft.com>
- porting from TurboLinux for CJK console
